Bug 178555 - [patch] Update cad/ngspice_rework to version 25
Summary: [patch] Update cad/ngspice_rework to version 25
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-13 05:00 UTC by Kevin Zheng
Modified: 2013-06-13 17:00 UTC (History)
0 users

See Also:


Attachments
file.diff (12.37 KB, patch)
2013-05-13 05:00 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2013-05-13 04:57:50 UTC
>Number:         178555
>Category:       ports
>Synopsis:       [patch] Update cad/ngspice_rework to version 25
>Confidential:   no
>Severity:       non-critical
>Priority:       low
>Responsible:    freebsd-ports-bugs
>State:          open
>Quarter:        
>Keywords:       
>Date-Required:
>Class:          update
>Submitter-Id:   current-users
>Arrival-Date:   Mon May 13 04:00:00 UTC 2013
>Closed-Date:
>Last-Modified:
>Originator:     Kevin Zheng
>Release:        9.1-RELEASE
>Organization:
>Environment:
FreeBSD sigma.local 9.1-RELEASE-p3 FreeBSD 9.1-RELEASE-p3 #0: Mon Apr 29 18:11:52 UTC 2013     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC  i386
>Description:
Update cad/ngspice_rework to upstream version 25. In addition:
 - Convert Makefile header
 - Improve COMMENT
 - Stop using USE_AUTOTOOLS, instead use GNU_CONFIGURE
 - Add a DEBUG option to build with debug flags
 - Reenable xspice because it works again
 - Remove old patches that are no longer needed
 - Formatting changes to pkg-descr
 - Info page seems to be broken, remove it from port Makefile

The upstream maintainers seem to have renamed the project from "ngspice-rework" to "ngspice". Perhaps this means that the port should be moved as well?
>How-To-Repeat:

>Fix:
Apply the attached patch with `svn patch <file>`.
Index: Makefile
===================================================================
--- Makefile	(revision 317986)
+++ Makefile	(working copy)
@@ -1,33 +1,31 @@
-# New ports collection makefile for:	ngspice_rework
-# Date created:		2002-01-02
-# Whom:			AMAKAWA Shuhei <amakawa@jp.FreeBSD.org>
-#
+# Created by: AMAKAWA Shuhei <amakawa@jp.FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	ngspice_rework
-PORTVERSION=	18
-PORTREVISION=	1
+PORTVERSION=	25
 CATEGORIES=	cad
 MASTER_SITES=	SF/ngspice/ng-spice-rework/${PORTVERSION}
-DISTNAME=	ng-spice-rework-${PORTVERSION}
+DISTNAME=	ngspice-${PORTVERSION}
 
 MAINTAINER=	amakawa@jp.FreeBSD.org
-COMMENT=	A circuit simulator derived from spice3f5
+COMMENT=	Mixed-signal circuit simulator derived from Spice and Cider
 
-USE_AUTOTOOLS=	autoconf
+OPTIONS_DEFINE=	DEBUG
+
+GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 
-#XSPICE doesn't build
-#CONFIGURE_ARGS+=	--enable-xspice
+.include <bsd.port.options.mk>
 
-.ifndef PACKAGE_BUILDING
+CONFIGURE_ARGS+=	--enable-xspice
 CONFIGURE_ARGS+=	--with-readline=yes
+
+.if ${PORT_OPTIONS:MDEBUG}
+CONFIGURE_ARGS+=	--enable-debug
 .else
 CONFIGURE_ARGS+=	--disable-debug
 .endif
 
-INFO=		ngspice
 MAN1=		ngspice.1 ngnutmeg.1 ngsconvert.1 ngmultidec.1
 
 .include <bsd.port.mk>
Index: distinfo
===================================================================
--- distinfo	(revision 317986)
+++ distinfo	(working copy)
@@ -1,2 +1,2 @@
-SHA256 (ng-spice-rework-18.tar.gz) = 1ae8ff5db42a0ca89803faed17fca75836f7c4f8dc026530efabc57eb4956954
-SIZE (ng-spice-rework-18.tar.gz) = 7061554
+SHA256 (ngspice-25.tar.gz) = d000bbb978db846ff6df7ce327d8194abe046fdd5c93e7cba23c484137ef140e
+SIZE (ngspice-25.tar.gz) = 6729137
Index: files/patch-configure.in
===================================================================
--- files/patch-configure.in	(revision 317986)
+++ files/patch-configure.in	(working copy)
@@ -1,23 +0,0 @@
---- configure.in.orig	2008-12-29 19:13:00.000000000 -0500
-+++ configure.in	2008-12-29 19:16:35.000000000 -0500
-@@ -205,16 +205,16 @@
- if test "$enable_debug" = "no"; then
- 	if test "x$GCC" = "xyes"; then
- 		AC_MSG_WARN(Removing debugging option!)
--		CFLAGS="$ext_CFLAGS -O2 -Wall -s"
-+		CFLAGS+="$ext_CFLAGS -O2 -Wall -s"
- 	else
- 		AC_MSG_WARN(Removing debugging option!)
--		CFLAGS="$ext_CFLAGS -O2"
-+		CFLAGS+="$ext_CFLAGS -O2"
- 	fi
- else
- 	if test "x$GCC" = "xyes"; then
--		CFLAGS="$ext_CFLAGS -g -O0 -Wall"
-+		CFLAGS+="$ext_CFLAGS -g -O0 -Wall"
- 	else
--		CFLAGS="$ext_CFLAGS -g"
-+		CFLAGS+="$ext_CFLAGS -g"
- 	fi
- fi
- 
Index: files/patch-doc:Makefile.in
===================================================================
--- files/patch-doc:Makefile.in	(revision 317986)
+++ files/patch-doc:Makefile.in	(working copy)
@@ -1,11 +0,0 @@
---- doc/Makefile.in.orig	2008-11-30 11:12:39.000000000 -0500
-+++ doc/Makefile.in	2008-12-29 15:41:25.000000000 -0500
-@@ -114,7 +114,7 @@
- LN_S = @LN_S@
- LTLIBOBJS = @LTLIBOBJS@
- MAINT = @MAINT@
--MAKEINFO = @MAKEINFO@
-+MAKEINFO = @MAKEINFO@ --no-split
- MKDIR_P = @MKDIR_P@
- NDEV_DIR = @NDEV_DIR@
- NDEV_LIB = @NDEV_LIB@
Index: files/patch-doc:ngspice.texi
===================================================================
--- files/patch-doc:ngspice.texi	(revision 317986)
+++ files/patch-doc:ngspice.texi	(working copy)
@@ -1,14 +0,0 @@
---- doc/ngspice.texi.orig	Tue Aug 16 07:24:58 2005
-+++ doc/ngspice.texi	Sat Dec 10 17:56:39 2005
-@@ -7,6 +7,11 @@
- @setchapternewpage odd
- @c %**end of header
- 
-+@dircategory Utilities
-+@direntry
-+* NGSPICE: (ngspice).              NGSPICE User Manual
-+@end direntry
-+
- @c Summary Description and Copyright
- @copying
- Copyright 1996 The Regents of the University of California.
Index: files/patch-src__frontend__resource.c
===================================================================
--- files/patch-src__frontend__resource.c	(revision 317986)
+++ files/patch-src__frontend__resource.c	(working copy)
@@ -1,10 +0,0 @@
---- src/frontend/resource.c.orig	2008-11-19 14:45:28.000000000 -0500
-+++ src/frontend/resource.c	2008-12-29 15:44:52.000000000 -0500
-@@ -605,6 +605,7 @@
- fault(void)
- {
-     signal(SIGSEGV, (SIGNAL_FUNCTION) fault);	/* SysV style */
-+    signal(SIGBUS, (SIGNAL_FUNCTION) fault);	/* SysV style */
-     LONGJMP(env, 1);
- }
- 
Index: files/patch-src__xspice__icm__Makefile
===================================================================
--- files/patch-src__xspice__icm__Makefile	(revision 317986)
+++ files/patch-src__xspice__icm__Makefile	(working copy)
@@ -1,14 +0,0 @@
---- src/xspice/icm/Makefile.orig	2008-12-29 15:47:40.000000000 -0500
-+++ src/xspice/icm/Makefile	2008-12-29 15:48:36.000000000 -0500
-@@ -12,9 +12,9 @@
- -include .deps/cm.P
- -include .deps/dlmain.P
- 
--UPMAKE = make -f $(TOPDIR)../Makefile TOPDIR=$(TOPDIR)../
-+UPMAKE = gmake -f $(TOPDIR)../Makefile TOPDIR=$(TOPDIR)../
- 
--MAKE = make -f $(TOPDIR)Makefile TOPDIR=$(TOPDIR)
-+MAKE = gmake -f $(TOPDIR)Makefile TOPDIR=$(TOPDIR)
- 
- COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
- 
Index: files/patch-src__xspice__ipc__ipcstdio.c
===================================================================
--- files/patch-src__xspice__ipc__ipcstdio.c	(revision 317986)
+++ files/patch-src__xspice__ipc__ipcstdio.c	(working copy)
@@ -1,11 +0,0 @@
---- src/xspice/ipc/ipcstdio.c.orig	Mon Nov 19 15:13:29 2007
-+++ src/xspice/ipc/ipcstdio.c	Mon Nov 19 15:18:42 2007
-@@ -40,7 +40,7 @@
-      Ipc_Wait_t         wait;
- {
-    printf ("GET_LINE\n");
--   gets (str);
-+   fgets (str, sizeof str, stdin);
-    *len = strlen (str);
-    return IPC_STATUS_OK;
- }
Index: pkg-descr
===================================================================
--- pkg-descr	(revision 317986)
+++ pkg-descr	(working copy)
@@ -1,9 +1,9 @@
- Ngspice is the name of a project and of a program in the project.
- Spice is the famous circuit simulator developed by the CAD Group of
- the University of California at Berkeley (UCB). The NG prefix has a
- lot of meanings: Next Generation, New Good, etc. Choose or invent the
- one you prefer. The ngspice project aims to improve the capabilities
- of the Spice3 circuit simulator. The heart of the project is the
- ngspice program, a circuit simulator derived from spice3f5.
+Ngspice is the name of a project and of a program in the project.  Spice is
+the famous circuit simulator developed by the CAD Group of the University of
+California at Berkeley (UCB). The NG prefix has a lot of meanings: Next
+Generation, New Good, etc. Choose or invent the one you prefer. The ngspice
+project aims to improve the capabilities of the Spice3 circuit simulator. The
+heart of the project is the ngspice program, a circuit simulator derived from
+spice3f5.
 
 WWW: http://ngspice.sourceforge.net/
Index: pkg-plist
===================================================================
--- pkg-plist	(revision 317986)
+++ pkg-plist	(working copy)
@@ -1,14 +1,142 @@
-bin/ngmakeidx
-bin/ngmultidec
+share/ngspice/include/ngspice/tclspice.h
+share/ngspice/include/ngspice/acdefs.h
+share/ngspice/include/ngspice/bdrydefs.h
+share/ngspice/include/ngspice/bool.h
+share/ngspice/include/ngspice/carddefs.h
+share/ngspice/include/ngspice/ciderinp.h
+share/ngspice/include/ngspice/cidersupt.h
+share/ngspice/include/ngspice/cktdefs.h
+share/ngspice/include/ngspice/cluster.h
+share/ngspice/include/ngspice/cmconstants.h
+share/ngspice/include/ngspice/cm.h
+share/ngspice/include/ngspice/cmproto.h
+share/ngspice/include/ngspice/cmtypes.h
+share/ngspice/include/ngspice/compatmode.h
+share/ngspice/include/ngspice/complex.h
+share/ngspice/include/ngspice/const.h
+share/ngspice/include/ngspice/contdefs.h
+share/ngspice/include/ngspice/cpdefs.h
+share/ngspice/include/ngspice/cpextern.h
+share/ngspice/include/ngspice/cpstd.h
+share/ngspice/include/ngspice/defines.h
+share/ngspice/include/ngspice/devdefs.h
+share/ngspice/include/ngspice/dgen.h
+share/ngspice/include/ngspice/distodef.h
+share/ngspice/include/ngspice/dllitf.h
+share/ngspice/include/ngspice/domndefs.h
+share/ngspice/include/ngspice/dopdefs.h
+share/ngspice/include/ngspice/dstring.h
+share/ngspice/include/ngspice/dvec.h
+share/ngspice/include/ngspice/elctdefs.h
+share/ngspice/include/ngspice/enh.h
+share/ngspice/include/ngspice/evt.h
+share/ngspice/include/ngspice/evtproto.h
+share/ngspice/include/ngspice/evtudn.h
+share/ngspice/include/ngspice/ftedbgra.h
+share/ngspice/include/ngspice/ftedebug.h
+share/ngspice/include/ngspice/ftedefs.h
+share/ngspice/include/ngspice/fteoptdefs.h
+share/ngspice/include/ngspice/ftedev.h
+share/ngspice/include/ngspice/fteext.h
+share/ngspice/include/ngspice/fteinp.h
+share/ngspice/include/ngspice/fteinput.h
+share/ngspice/include/ngspice/fteparse.h
+share/ngspice/include/ngspice/gendefs.h
+share/ngspice/include/ngspice/gendev.h
+share/ngspice/include/ngspice/graph.h
+share/ngspice/include/ngspice/grid.h
+share/ngspice/include/ngspice/hash.h
+share/ngspice/include/ngspice/hlpdefs.h
+share/ngspice/include/ngspice/iferrmsg.h
+share/ngspice/include/ngspice/ifsim.h
+share/ngspice/include/ngspice/inpdefs.h
+share/ngspice/include/ngspice/inpmacs.h
+share/ngspice/include/ngspice/inpptree.h
+share/ngspice/include/ngspice/ipc.h
+share/ngspice/include/ngspice/ipcproto.h
+share/ngspice/include/ngspice/ipctiein.h
+share/ngspice/include/ngspice/jobdefs.h
+share/ngspice/include/ngspice/lsort.h
+share/ngspice/include/ngspice/macros.h
+share/ngspice/include/ngspice/material.h
+share/ngspice/include/ngspice/matldefs.h
+share/ngspice/include/ngspice/memory.h
+share/ngspice/include/ngspice/meshdefs.h
+share/ngspice/include/ngspice/meshext.h
+share/ngspice/include/ngspice/methdefs.h
+share/ngspice/include/ngspice/mifcmdat.h
+share/ngspice/include/ngspice/mifdefs.h
+share/ngspice/include/ngspice/mif.h
+share/ngspice/include/ngspice/mifparse.h
+share/ngspice/include/ngspice/mifproto.h
+share/ngspice/include/ngspice/miftypes.h
+share/ngspice/include/ngspice/missing_math.h
+share/ngspice/include/ngspice/mobdefs.h
+share/ngspice/include/ngspice/modldefs.h
+share/ngspice/include/ngspice/multi_line.h
+share/ngspice/include/ngspice/ngspice.h
+share/ngspice/include/ngspice/noisedef.h
+share/ngspice/include/ngspice/numcards.h
+share/ngspice/include/ngspice/numconst.h
+share/ngspice/include/ngspice/numenum.h
+share/ngspice/include/ngspice/numgen.h
+share/ngspice/include/ngspice/numglobs.h
+share/ngspice/include/ngspice/onedev.h
+share/ngspice/include/ngspice/onemesh.h
+share/ngspice/include/ngspice/opdefs.h
+share/ngspice/include/ngspice/optdefs.h
+share/ngspice/include/ngspice/optndefs.h
+share/ngspice/include/ngspice/outpdefs.h
+share/ngspice/include/ngspice/plot.h
+share/ngspice/include/ngspice/pnode.h
+share/ngspice/include/ngspice/profile.h
+share/ngspice/include/ngspice/pssdefs.h
+share/ngspice/include/ngspice/pzdefs.h
+share/ngspice/include/ngspice/sen2defs.h
+share/ngspice/include/ngspice/sensdefs.h
+share/ngspice/include/ngspice/sensgen.h
+share/ngspice/include/ngspice/sim.h
+share/ngspice/include/ngspice/smpdefs.h
+share/ngspice/include/ngspice/sperror.h
+share/ngspice/include/ngspice/spmatrix.h
+share/ngspice/include/ngspice/stringutil.h
+share/ngspice/include/ngspice/suffix.h
+share/ngspice/include/ngspice/swec.h
+share/ngspice/include/ngspice/tfdefs.h
+share/ngspice/include/ngspice/trandefs.h
+share/ngspice/include/ngspice/trcvdefs.h
+share/ngspice/include/ngspice/tskdefs.h
+share/ngspice/include/ngspice/twodev.h
+share/ngspice/include/ngspice/twomesh.h
+share/ngspice/include/ngspice/typedefs.h
+share/ngspice/include/ngspice/wordlist.h
+share/ngspice/include/ngspice/1-f-code.h
+share/ngspice/include/ngspice/FastNorm3.h
+share/ngspice/include/ngspice/fftext.h
+share/ngspice/include/ngspice/wallace.h
+share/ngspice/include/ngspice/wstdio.h
+share/ngspice/include/ngspice/config.h
+share/ngspice/dlmain.c
+share/ngspice/helpdir/ngspice.txt
+share/ngspice/helpdir/ngspice.idx
+share/ngspice/scripts/spinit
+share/ngspice/scripts/setplot
+share/ngspice/scripts/spectrum
+bin/cmpp
+bin/ngspice
 bin/ngnutmeg
+bin/ngsconvert
 bin/ngproc2mod
-bin/ngsconvert
-bin/ngspice
-share/ng-spice-rework/helpdir/ngspice.idx
-share/ng-spice-rework/helpdir/ngspice.txt
-share/ng-spice-rework/scripts/setplot
-share/ng-spice-rework/scripts/spectrum
-share/ng-spice-rework/scripts/spinit
-@dirrm share/ng-spice-rework/helpdir
-@dirrm share/ng-spice-rework/scripts
-@dirrm share/ng-spice-rework
+bin/ngmultidec
+bin/ngmakeidx
+lib/ngspice/spice2poly.cm
+lib/ngspice/digital.cm
+lib/ngspice/analog.cm
+lib/ngspice/xtradev.cm
+lib/ngspice/xtraevt.cm
+@dirrm lib/ngspice
+@dirrm share/ngspice/scripts
+@dirrm share/ngspice/helpdir
+@dirrm share/ngspice/include/ngspice
+@dirrm share/ngspice/include
+@dirrm share/ngspice


>Release-Note:
>Audit-Trail:
>Unformatted:
_______________________________________________
freebsd-ports-bugs@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"
Comment 1 Kevin Zheng 2013-05-13 05:00:00 UTC
Update cad/ngspice_rework to upstream version 25. In addition:
 - Convert Makefile header
 - Improve COMMENT
 - Stop using USE_AUTOTOOLS, instead use GNU_CONFIGURE
 - Add a DEBUG option to build with debug flags
 - Reenable xspice because it works again
 - Remove old patches that are no longer needed
 - Formatting changes to pkg-descr
 - Info page seems to be broken, remove it from port Makefile

The upstream maintainers seem to have renamed the project from "ngspice-rework" to "ngspice". Perhaps this means that the port should be moved as well?

Fix: Apply the attached patch with `svn patch <file>`.

Patch attached with submission follows:
Comment 2 Edwin Groothuis freebsd_committer 2013-05-13 05:00:10 UTC
Maintainer of cad/ngspice_rework,

Please note that PR ports/178555 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178555

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2013-05-13 05:00:11 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Kevin Zheng 2013-06-11 03:20:27 UTC
Hi there,

Somebody should mark this PR as "maintainer timed out."

Thanks,
Kevin Zheng
Comment 5 William Grzybowski freebsd_committer 2013-06-13 12:52:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 6 William Grzybowski 2013-06-13 12:54:09 UTC
Hi,

would you like to be maintainer of this port?

--
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 7 Kevin Zheng 2013-06-13 16:42:08 UTC
On 06/13/13 06:54, William Grzybowski wrote:
> would you like to be maintainer of this port?

Of course, that would be wonderful!

Thanks,
Kevin Zheng
Comment 8 William Grzybowski freebsd_committer 2013-06-13 16:58:30 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 9 dfilter service freebsd_committer 2013-06-13 16:58:35 UTC
Author: wg
Date: Thu Jun 13 15:58:20 2013
New Revision: 320809
URL: http://svnweb.freebsd.org/changeset/ports/320809

Log:
  cad/ngspice_rework: update to 25
  
  - Update to version 25
  - Trim Makefile header
  - Improve COMMENT
  - Add DEBUG option
  - Pass maintainership to submitter
  
  PR:		ports/178555
  Submitted by:	Kevin Zheng <kevinz5000@gmail.com>
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer (timeout)

Deleted:
  head/cad/ngspice_rework/files/
Modified:
  head/cad/ngspice_rework/Makefile
  head/cad/ngspice_rework/distinfo
  head/cad/ngspice_rework/pkg-descr
  head/cad/ngspice_rework/pkg-plist

Modified: head/cad/ngspice_rework/Makefile
==============================================================================
--- head/cad/ngspice_rework/Makefile	Thu Jun 13 15:47:13 2013	(r320808)
+++ head/cad/ngspice_rework/Makefile	Thu Jun 13 15:58:20 2013	(r320809)
@@ -1,33 +1,31 @@
-# New ports collection makefile for:	ngspice_rework
-# Date created:		2002-01-02
-# Whom:			AMAKAWA Shuhei <amakawa@jp.FreeBSD.org>
-#
+# Created by: AMAKAWA Shuhei <amakawa@jp.FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	ngspice_rework
-PORTVERSION=	18
-PORTREVISION=	1
+PORTVERSION=	25
 CATEGORIES=	cad
 MASTER_SITES=	SF/ngspice/ng-spice-rework/${PORTVERSION}
-DISTNAME=	ng-spice-rework-${PORTVERSION}
+DISTNAME=	ngspice-${PORTVERSION}
 
-MAINTAINER=	amakawa@jp.FreeBSD.org
-COMMENT=	A circuit simulator derived from spice3f5
+MAINTAINER=	kevinz5000@gmail.com
+COMMENT=	Mixed-signal circuit simulator derived from Spice and Cider
 
-USE_AUTOTOOLS=	autoconf
+OPTIONS_DEFINE=	DEBUG
+
+GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
 
-#XSPICE doesn't build
-#CONFIGURE_ARGS+=	--enable-xspice
+.include <bsd.port.options.mk>
+
+CONFIGURE_ARGS+=--enable-xspice \
+		--with-readline=yes
 
-.ifndef PACKAGE_BUILDING
-CONFIGURE_ARGS+=	--with-readline=yes
+.if ${PORT_OPTIONS:MDEBUG}
+CONFIGURE_ARGS+=	--enable-debug
 .else
 CONFIGURE_ARGS+=	--disable-debug
 .endif
 
-INFO=		ngspice
 MAN1=		ngspice.1 ngnutmeg.1 ngsconvert.1 ngmultidec.1
 
 .include <bsd.port.mk>

Modified: head/cad/ngspice_rework/distinfo
==============================================================================
--- head/cad/ngspice_rework/distinfo	Thu Jun 13 15:47:13 2013	(r320808)
+++ head/cad/ngspice_rework/distinfo	Thu Jun 13 15:58:20 2013	(r320809)
@@ -1,2 +1,2 @@
-SHA256 (ng-spice-rework-18.tar.gz) = 1ae8ff5db42a0ca89803faed17fca75836f7c4f8dc026530efabc57eb4956954
-SIZE (ng-spice-rework-18.tar.gz) = 7061554
+SHA256 (ngspice-25.tar.gz) = d000bbb978db846ff6df7ce327d8194abe046fdd5c93e7cba23c484137ef140e
+SIZE (ngspice-25.tar.gz) = 6729137

Modified: head/cad/ngspice_rework/pkg-descr
==============================================================================
--- head/cad/ngspice_rework/pkg-descr	Thu Jun 13 15:47:13 2013	(r320808)
+++ head/cad/ngspice_rework/pkg-descr	Thu Jun 13 15:58:20 2013	(r320809)
@@ -1,9 +1,9 @@
- Ngspice is the name of a project and of a program in the project.
- Spice is the famous circuit simulator developed by the CAD Group of
- the University of California at Berkeley (UCB). The NG prefix has a
- lot of meanings: Next Generation, New Good, etc. Choose or invent the
- one you prefer. The ngspice project aims to improve the capabilities
- of the Spice3 circuit simulator. The heart of the project is the
- ngspice program, a circuit simulator derived from spice3f5.
+Ngspice is the name of a project and of a program in the project.  Spice is
+the famous circuit simulator developed by the CAD Group of the University of
+California at Berkeley (UCB). The NG prefix has a lot of meanings: Next
+Generation, New Good, etc. Choose or invent the one you prefer. The ngspice
+project aims to improve the capabilities of the Spice3 circuit simulator. The
+heart of the project is the ngspice program, a circuit simulator derived from
+spice3f5.
 
 WWW: http://ngspice.sourceforge.net/

Modified: head/cad/ngspice_rework/pkg-plist
==============================================================================
--- head/cad/ngspice_rework/pkg-plist	Thu Jun 13 15:47:13 2013	(r320808)
+++ head/cad/ngspice_rework/pkg-plist	Thu Jun 13 15:58:20 2013	(r320809)
@@ -1,14 +1,142 @@
-bin/ngmakeidx
-bin/ngmultidec
+share/ngspice/include/ngspice/tclspice.h
+share/ngspice/include/ngspice/acdefs.h
+share/ngspice/include/ngspice/bdrydefs.h
+share/ngspice/include/ngspice/bool.h
+share/ngspice/include/ngspice/carddefs.h
+share/ngspice/include/ngspice/ciderinp.h
+share/ngspice/include/ngspice/cidersupt.h
+share/ngspice/include/ngspice/cktdefs.h
+share/ngspice/include/ngspice/cluster.h
+share/ngspice/include/ngspice/cmconstants.h
+share/ngspice/include/ngspice/cm.h
+share/ngspice/include/ngspice/cmproto.h
+share/ngspice/include/ngspice/cmtypes.h
+share/ngspice/include/ngspice/compatmode.h
+share/ngspice/include/ngspice/complex.h
+share/ngspice/include/ngspice/const.h
+share/ngspice/include/ngspice/contdefs.h
+share/ngspice/include/ngspice/cpdefs.h
+share/ngspice/include/ngspice/cpextern.h
+share/ngspice/include/ngspice/cpstd.h
+share/ngspice/include/ngspice/defines.h
+share/ngspice/include/ngspice/devdefs.h
+share/ngspice/include/ngspice/dgen.h
+share/ngspice/include/ngspice/distodef.h
+share/ngspice/include/ngspice/dllitf.h
+share/ngspice/include/ngspice/domndefs.h
+share/ngspice/include/ngspice/dopdefs.h
+share/ngspice/include/ngspice/dstring.h
+share/ngspice/include/ngspice/dvec.h
+share/ngspice/include/ngspice/elctdefs.h
+share/ngspice/include/ngspice/enh.h
+share/ngspice/include/ngspice/evt.h
+share/ngspice/include/ngspice/evtproto.h
+share/ngspice/include/ngspice/evtudn.h
+share/ngspice/include/ngspice/ftedbgra.h
+share/ngspice/include/ngspice/ftedebug.h
+share/ngspice/include/ngspice/ftedefs.h
+share/ngspice/include/ngspice/fteoptdefs.h
+share/ngspice/include/ngspice/ftedev.h
+share/ngspice/include/ngspice/fteext.h
+share/ngspice/include/ngspice/fteinp.h
+share/ngspice/include/ngspice/fteinput.h
+share/ngspice/include/ngspice/fteparse.h
+share/ngspice/include/ngspice/gendefs.h
+share/ngspice/include/ngspice/gendev.h
+share/ngspice/include/ngspice/graph.h
+share/ngspice/include/ngspice/grid.h
+share/ngspice/include/ngspice/hash.h
+share/ngspice/include/ngspice/hlpdefs.h
+share/ngspice/include/ngspice/iferrmsg.h
+share/ngspice/include/ngspice/ifsim.h
+share/ngspice/include/ngspice/inpdefs.h
+share/ngspice/include/ngspice/inpmacs.h
+share/ngspice/include/ngspice/inpptree.h
+share/ngspice/include/ngspice/ipc.h
+share/ngspice/include/ngspice/ipcproto.h
+share/ngspice/include/ngspice/ipctiein.h
+share/ngspice/include/ngspice/jobdefs.h
+share/ngspice/include/ngspice/lsort.h
+share/ngspice/include/ngspice/macros.h
+share/ngspice/include/ngspice/material.h
+share/ngspice/include/ngspice/matldefs.h
+share/ngspice/include/ngspice/memory.h
+share/ngspice/include/ngspice/meshdefs.h
+share/ngspice/include/ngspice/meshext.h
+share/ngspice/include/ngspice/methdefs.h
+share/ngspice/include/ngspice/mifcmdat.h
+share/ngspice/include/ngspice/mifdefs.h
+share/ngspice/include/ngspice/mif.h
+share/ngspice/include/ngspice/mifparse.h
+share/ngspice/include/ngspice/mifproto.h
+share/ngspice/include/ngspice/miftypes.h
+share/ngspice/include/ngspice/missing_math.h
+share/ngspice/include/ngspice/mobdefs.h
+share/ngspice/include/ngspice/modldefs.h
+share/ngspice/include/ngspice/multi_line.h
+share/ngspice/include/ngspice/ngspice.h
+share/ngspice/include/ngspice/noisedef.h
+share/ngspice/include/ngspice/numcards.h
+share/ngspice/include/ngspice/numconst.h
+share/ngspice/include/ngspice/numenum.h
+share/ngspice/include/ngspice/numgen.h
+share/ngspice/include/ngspice/numglobs.h
+share/ngspice/include/ngspice/onedev.h
+share/ngspice/include/ngspice/onemesh.h
+share/ngspice/include/ngspice/opdefs.h
+share/ngspice/include/ngspice/optdefs.h
+share/ngspice/include/ngspice/optndefs.h
+share/ngspice/include/ngspice/outpdefs.h
+share/ngspice/include/ngspice/plot.h
+share/ngspice/include/ngspice/pnode.h
+share/ngspice/include/ngspice/profile.h
+share/ngspice/include/ngspice/pssdefs.h
+share/ngspice/include/ngspice/pzdefs.h
+share/ngspice/include/ngspice/sen2defs.h
+share/ngspice/include/ngspice/sensdefs.h
+share/ngspice/include/ngspice/sensgen.h
+share/ngspice/include/ngspice/sim.h
+share/ngspice/include/ngspice/smpdefs.h
+share/ngspice/include/ngspice/sperror.h
+share/ngspice/include/ngspice/spmatrix.h
+share/ngspice/include/ngspice/stringutil.h
+share/ngspice/include/ngspice/suffix.h
+share/ngspice/include/ngspice/swec.h
+share/ngspice/include/ngspice/tfdefs.h
+share/ngspice/include/ngspice/trandefs.h
+share/ngspice/include/ngspice/trcvdefs.h
+share/ngspice/include/ngspice/tskdefs.h
+share/ngspice/include/ngspice/twodev.h
+share/ngspice/include/ngspice/twomesh.h
+share/ngspice/include/ngspice/typedefs.h
+share/ngspice/include/ngspice/wordlist.h
+share/ngspice/include/ngspice/1-f-code.h
+share/ngspice/include/ngspice/FastNorm3.h
+share/ngspice/include/ngspice/fftext.h
+share/ngspice/include/ngspice/wallace.h
+share/ngspice/include/ngspice/wstdio.h
+share/ngspice/include/ngspice/config.h
+share/ngspice/dlmain.c
+share/ngspice/helpdir/ngspice.txt
+share/ngspice/helpdir/ngspice.idx
+share/ngspice/scripts/spinit
+share/ngspice/scripts/setplot
+share/ngspice/scripts/spectrum
+bin/cmpp
+bin/ngspice
 bin/ngnutmeg
-bin/ngproc2mod
 bin/ngsconvert
-bin/ngspice
-share/ng-spice-rework/helpdir/ngspice.idx
-share/ng-spice-rework/helpdir/ngspice.txt
-share/ng-spice-rework/scripts/setplot
-share/ng-spice-rework/scripts/spectrum
-share/ng-spice-rework/scripts/spinit
-@dirrm share/ng-spice-rework/helpdir
-@dirrm share/ng-spice-rework/scripts
-@dirrm share/ng-spice-rework
+bin/ngproc2mod
+bin/ngmultidec
+bin/ngmakeidx
+lib/ngspice/spice2poly.cm
+lib/ngspice/digital.cm
+lib/ngspice/analog.cm
+lib/ngspice/xtradev.cm
+lib/ngspice/xtraevt.cm
+@dirrm lib/ngspice
+@dirrm share/ngspice/scripts
+@dirrm share/ngspice/helpdir
+@dirrm share/ngspice/include/ngspice
+@dirrm share/ngspice/include
+@dirrm share/ngspice
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"